#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>

int main ()
{
  int fd = open ("SIM", O_RDWR);
  unsigned int val = 0;

  if (fd < 0)
    {
      perror ("SIM");
      return 1;
    }
  if (lseek (fd, 31890, SEEK_SET) < 0)
    {
      perror ("lseek");
      return 1;
    }
  read (fd, &val, sizeof val);
  if (val != 0xfffffffe && val != 0x00800000)
    {
      fprintf (stderr,
	       "I'm not sure this is SIM 1.72 from KludgeMach 0.008\n");
      return 1;
    }
  if (val == 0xfffffffe)
    {
      fprintf (stderr, "This binary seems patched\n");
      return 1;
    }
  if (lseek (fd, 31890, SEEK_SET) < 0)
    {
      perror ("lseek");
      return 1;
    }
  val = 0xfffffffe;
  if (write (fd, &val, sizeof val) != sizeof val)
    {
      perror ("write");
      return 1;
    }
  close (fd);
  return 0;
}
